Bug 149127 - Add help/info to Master Password refresh infobar
Summary: Add help/info to Master Password refresh infobar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL: https://listarchives.libreoffice.org/...
Whiteboard: target:7.5.0
Keywords:
: 150168 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-05-17 11:05 UTC by Heiko Tietze
Modified: 2022-07-27 13:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2022-05-17 11:05:43 UTC
Introduced with https://gerrit.libreoffice.org/c/core/+/131976 we show an infobar when the master pw needs an update with just "Refresh". Do we want to add "Help" pointing to or "?" showing an extended tip?
Comment 1 Caolán McNamara 2022-05-17 11:14:16 UTC
I'll take this for the moment to demo up some explanatory text which can be polished later
Comment 2 Heiko Tietze 2022-05-17 11:20:21 UTC
My take: a simple tooltip is sufficient, if needed at all. But up to documentation...
Comment 3 Commit Notification 2022-07-25 14:52:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/edb58d78bc7d7f344c0f6fe00cfb65386be8a735

tdf#149127 explain the infobar asking to refresh master password
Comment 4 Commit Notification 2022-07-26 08:03:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/61e4f8503c89e0933b294304320e371804b077c9

Resolves: tdf#149127 explain the infobar asking to refresh master password

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme Barrientos 2022-07-26 09:52:10 UTC
FWIW, this work is related to CVE-2022-26307
Comment 6 Mike Kaganski 2022-07-27 13:48:01 UTC
*** Bug 150168 has been marked as a duplicate of this bug. ***